Package com.mockobjects.helpers

# Class FilterTestHelper

java.lang.Object
com.mockobjects.helpers.AbstractServletTestHelper
com.mockobjects.helpers.FilterTestHelper

public class FilterTestHelper extends AbstractServletTestHelper
$Revision: 1.1 $

## Constructor Summary

Constructors
Constructor
Description
`FilterTestHelper(Filter filter)`

## Method Summary

Modifier and Type
Method
Description
`MockFilterChain`
`getFilterChain()`
`MockFilterConfig`
`getFilterConfig()`
`void`
`testDoFilter()`
`void`
`testInit()`

### Methods inherited from class com.mockobjects.helpers.AbstractServletTestHelper

`getHttpSession, getRequest, getRequestDispatcher, getResponse, getServletConfig, getServletContext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterTestHelper

public FilterTestHelper(Filter filter)

## Method Details

### getFilterChain

public MockFilterChain getFilterChain()

### getFilterConfig

public MockFilterConfig getFilterConfig()

### testInit

public void testInit() throws ServletException

Throws:
  `ServletException`

### testDoFilter

public void testDoFilter() throws ServletException, IOException

Throws:
  `ServletException`
  `IOException`